## labplot 2.7.0

=== CMakeLists.txt ===
project(labplot2)

# minimum 3.2.0 for FindGSL.cmake
cmake_minimum_required (VERSION 3.2.0 FATAL_ERROR)
set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(QT_MINIMUM_VERSION 5.6.0)
set(KF5_MIN_VERSION "5.16.0")

set(APPLE_SUPPRESS_X11_WARNING ON)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
# build type: "release", "debug", "debugfull"
string (TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE)
find_package(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED COMPONENTS
	Concurrent
	Gui
	PrintSupport
	Sql
	Svg
	Widgets
	Test
	SerialPort
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
	Archive
	Completion
	Config
	ConfigWidgets
	CoreAddons
	Crash
	DocTools
	I18n
	IconThemes
	KIO
	TextWidgets
	WidgetsAddons
	XmlGui
OPTIONAL_COMPONENTS
	NewStuff
	Service
	Parts
	SyntaxHighlighting
)
IF (Qt5SerialPort_FOUND)
        MESSAGE (STATUS "Found Qt5 SerialPort")
ELSE ()
        MESSAGE (STATUS "Qt5 SerialPort not found")
ENDIF ()
IF (KF5NewStuff_FOUND)
        MESSAGE (STATUS "Found KF5 new stuff")
	add_definitions (-DHAVE_KF5_NEW_STUFF)
ELSE ()
        MESSAGE (STATUS "KF5 new stuff not found")
ENDIF ()
IF (KF5SyntaxHighlighting_FOUND)
        MESSAGE (STATUS "Found KF5 syntax highlighting")
	add_definitions (-DHAVE_KF5_SYNTAX_HIGHLIGHTING)
ELSE ()
        MESSAGE (STATUS "KF5 syntax highlighting not found")
ENDIF ()

find_package(BISON REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)

### compiler flags ######################################
set (GENERIC_FLAGS "-Wall -Wextra -Wundef -Wpointer-arith -Wunreachable-code -Wunused -Wdeprecated-declarations -fno-omit-frame-pointer -fstack-protector")
set (GENERIC_GNU_FLAGS "-O2 -Wcast-align -Wswitch-enum -fvisibility=default")
set (GENERIC_C_FLAGS "${GENERIC_FLAGS} -fno-exceptions")
# liborigin needs exceptions
set (GENERIC_CXX_FLAGS "${GENERIC_FLAGS} -fexceptions")

if ("${CMAKE_C_COMPILER_ID}" MATCHES "GNU")
	message(STATUS "GNU C compiler detected, adding compile flags")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GENERIC_C_FLAGS} ${GENERIC_GNU_FLAGS}")
elseif ("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
	message(STATUS "Clang C compiler detected, adding compile flags")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_GNU_SOURCE ${GENERIC_C_FLAGS} ${GENERIC_GNU_FLAGS}")
elseif ("${CMAKE_C_COMPILER_ID}" MATCHES "Intel")
	message(STATUS "Intel C compiler detected, adding compile flags")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_GNU_SOURCE -O3 ${GENERIC_C_FLAGS}")
elseif ("${CMAKE_C_COMPILER_ID}" MATCHES "PGI")
	message(STATUS "PGI C compiler detected, adding compile flags")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_GNU_SOURCE -O3 -D__GCC_ATOMIC_TEST_AND_SET_TRUEVAL=1 -Minform=inform -Mbounds -Mchkstk")
# " x" postfix to work around a bug in CMake that causes "MSVC" to translate to something completely different
elseif (("${CMAKE_C_COMPILER_ID} x" MATCHES "MSVC") OR MSVC)
	message(STATUS "MSVC C compiler detected, adding compile flags")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -W3")
	set(MSVC_FOUND TRUE)
else ()
	message(STATUS "UNKNOWN C compiler, adding compile flags")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GENERIC_C_FLAGS}")
endif()

if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU")
	message(STATUS "GNU C++ compiler detected, adding compile flags")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GENERIC_CXX_FLAGS} ${GENERIC_GNU_FLAGS}")
elseif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
	message(STATUS "Clang C++ compiler detected, adding compile flags")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_GNU_SOURCE ${GENERIC_CXX_FLAGS} ${GENERIC_GNU_FLAGS}")
elseif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Intel")
	message(STATUS "Intel C++ compiler detected, adding compile flags")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_GNU_SOURCE -std=c++11 ${GENERIC_CXX_FLAGS}")
	#-std=c++0x comes with cmake's general flags, deprecated in icc, remove it
	string(REPLACE "-std=c++0x" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
elseif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "PGI")
	message(STATUS "PGI C++ compiler detected, adding compile flags")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_GNU_SOURCE -O3 -std=c++11 -D__GCC_ATOMIC_TEST_AND_SET_TRUEVAL=1 -Minform=inform -Mbounds -Mchkstk")
# " x" postfix to work around a bug in CMake that causes "MSVC" to translate to something completely different
elseif (("${CMAKE_CXX_COMPILER_ID} x" MATCHES "MSVC") OR MSVC)
	message(STATUS "MSVC C++ compiler detected, adding compile flags")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2 -W3 -DPSAPI_VERSION=1")
	set(MSVC_FOUND TRUE)
else ()
	message(STATUS "UNKNOWN C++ compiler, adding compile flags")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GENERIC_CXX_FLAGS}")
endif ()

##########################################################ESC[m


add_definitions (${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS})
include_directories (${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
add_definitions (-DLVERSION=\"2.7.0\")
# add_definitions (-DLDEBUG='1')
set(BUILD_SHARED_LIBS true)

#cmake_policy(SET CMP0002 OLD)
IF (CMAKE_VERSION VERSION_EQUAL "3.3" OR CMAKE_VERSION VERSION_GREATER "3.3")
	cmake_policy(SET CMP0063 NEW)
ENDIF()

if (CMAKE_VERSION VERSION_GREATER "3.5")
  set(ENABLE_CLANG_TIDY OFF CACHE BOOL "Add clang-tidy automatically to builds")
  if (ENABLE_CLANG_TIDY)
    find_program (CLANG_TIDY_EXE NAMES "clang-tidy" PATHS /usr/bin)
    if (CLANG_TIDY_EXE)
      message(STATUS "Clang-tidy supported, found and enabled: ${CLANG_TIDY_EXE}")
      set(CLANG_TIDY_CHECKS "modernize-*,clang-analyzer-*,-clang-analyzer-cplusplus*")
      #set(CLANG_TIDY_CHECKS "-*,modernize-*,clang-analyzer-*")
      # -extra-arg=--std=c++11
      set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE};-checks=${CLANG_TIDY_CHECKS};-header-filter='${CMAKE_SOURCE_DIR}/*'"
        CACHE STRING "" FORCE)
    else()
      message(AUTHOR_WARNING "clang-tidy not found!")
      set(CMAKE_CXX_CLANG_TIDY "" CACHE STRING "" FORCE) # delete it
    endif()
   else()
    message(STATUS "Clang-tidy supported but disabled")
  endif()
endif()

### Options ######################################
option(ENABLE_CANTOR "Build with Cantor support" ON)
option(ENABLE_FFTW "Build with FFTW support" ON)
option(ENABLE_HDF5 "Build with HDF5 support" ON)
option(ENABLE_NETCDF "Build with NetCDF support" ON)
option(ENABLE_FITS "Build with FITS support" ON)
option(ENABLE_LIBCERF "Build with libcerf support" ON)
option(ENABLE_LIBORIGIN "Build with liborigin support" ON)
option(ENABLE_ROOT "Build with ROOT (CERN) support" ON)
option(ENABLE_TESTS "Build with tests" ON)
option(ENABLE_MQTT "Build with MQTT support" ON)

### OS macros ####################################
IF (WIN32)
	add_definitions (-DHAVE_WINDOWS)
	find_library (PSAPI Psapi)
	message (STATUS "PSAPI: ${PSAPI}")
ENDIF ()

### GSL (required) ###############################
FIND_PACKAGE(GSL REQUIRED)

### liborigin (included) ###############################
IF (ENABLE_LIBORIGIN)
	add_definitions (-DHAVE_LIBORIGIN)

	IF (CMAKE_BUILD_TYPE STREQUAL "debug" OR CMAKE_BUILD_TYPE STREQUAL "debugfull")
		MESSAGE (STATUS "Origin project import (through internal liborigin) enabled (parser logging enabled)")
		SET (ENABLE_ORIGIN_PARSER_LOG TRUE)
	ELSE ()
		MESSAGE (STATUS "Origin project import (through internal liborigin) enabled (parser logging disabled)")
	ENDIF ()
ELSE ()
	MESSAGE (STATUS "Origin project import DISABLED")
ENDIF ()

### Cantorlibs (optional) ###############################
IF (ENABLE_CANTOR)
FIND_PACKAGE (Cantor)
SET_PACKAGE_PROPERTIES(Cantor PROPERTIES
	URL "https://edu.kde.org/cantor/"
)
IF (Cantor_FOUND)
	MESSAGE (STATUS "Found Cantor Library")
	add_definitions (-DHAVE_CANTOR_LIBS)

	IF (NOT ${Cantor_VERSION} VERSION_GREATER "0")
		add_definitions (-DOLD_CANTORLIBS_VERSION)
	ENDIF()
	IF (${Cantor_VERSION} VERSION_GREATER "19.08")
		FIND_PACKAGE(Poppler "0.62.0" REQUIRED COMPONENTS Qt5)
	ENDIF()
ELSE ()
	MESSAGE (STATUS "Cantor Library NOT FOUND")
ENDIF ()
ELSE ()
	MESSAGE (STATUS "Cantor Library DISABLED")
ENDIF ()

### FFTW (optional) #####################################
IF (ENABLE_FFTW)
	FIND_PACKAGE (FFTW3)
	IF (FFTW3_FOUND)
		add_definitions (-DHAVE_FFTW3)
	ELSE ()
		MESSAGE (STATUS "FFTW 3 Library NOT FOUND")
	ENDIF ()
ELSE ()
	MESSAGE (STATUS "FFTW 3 Library DISABLED")
ENDIF ()

### HDF5 (optional) ##############################
IF (ENABLE_HDF5)
FIND_PACKAGE(HDF5 COMPONENTS C)
SET_PACKAGE_PROPERTIES (HDF5 PROPERTIES
	DESCRIPTION "Reading and writing self describing array data"
	URL "https://www.hdfgroup.org/solutions/hdf5/"
)
IF (HDF5_FOUND)
	add_definitions (-DHAVE_HDF5)
	IF (HDF5_VERSION VERSION_GREATER "1.9")
		add_definitions (-DHAVE_AT_LEAST_HDF5_1_10_0)
	ENDIF ()
	IF (HDF5_VERSION VERSION_GREATER "1.10.0.1")
		add_definitions (-DHAVE_AT_LEAST_HDF5_1_10_0)
		add_definitions (-DHAVE_AT_LEAST_HDF5_1_10_1)
	ENDIF ()
	include_directories (${HDF5_INCLUDE_DIRS})
ELSE ()
	MESSAGE (STATUS "Hierarchical Data Format (HDF5) Library NOT FOUND")
ENDIF ()
ELSE ()
	MESSAGE (STATUS "Hierarchical Data Format (HDF5) Library DISABLED")
ENDIF ()

### NETCDF (optional) #############################
IF (ENABLE_NETCDF)
FIND_PACKAGE(netCDF)
SET_PACKAGE_PROPERTIES(netCDF PROPERTIES
    DESCRIPTION "Interfaces for array-oriented data access"
    URL "https://www.unidata.ucar.edu/software/netcdf/"
)
IF (netCDF_FOUND)
	add_definitions (-DHAVE_NETCDF)
ELSE ()
	MESSAGE (STATUS "Network Common Data Format (NetCDF) Library NOT FOUND")
ENDIF ()
ELSE ()
	MESSAGE (STATUS "Network Common Data Format (NetCDF) Library DISABLED")
ENDIF ()

### MQTT (optional) ###############################
IF (ENABLE_MQTT)
# ATTENTION: unit test uses qWaitFor() which needs Qt >= 5.10
# avoid warning for the moment using QUIET
find_package(Qt5Mqtt ${QT_MIN_VERSION} QUIET NO_MODULE)
IF (Qt5Mqtt_FOUND)
	MESSAGE (STATUS "Found MQTT Library")
	add_definitions (-DHAVE_MQTT)
ELSE ()
	MESSAGE (STATUS "MQTT Library NOT FOUND")
ENDIF ()
ELSE ()
	MESSAGE (STATUS "MQTT Library DISABLED")
ENDIF ()

### FITS (optional) ###############################
IF (ENABLE_FITS)
FIND_PACKAGE (CFitsio)
SET_PACKAGE_PROPERTIES (CFitsio PROPERTIES
	DESCRIPTION "FITS IO Library"
	URL "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html"
	PURPOSE "Support for the FITS (Flexible Image Transport System) data format.")
IF (CFITSIO_FOUND)
	add_definitions (-DHAVE_FITS)
	include_directories (${CFITSIO_INCLUDE_DIR})
ELSE ()
	MESSAGE (STATUS "Flexible Image Transport System Data Format (FITS) Library NOT FOUND")
ENDIF ()
ELSE ()
	MESSAGE (STATUS "Flexible Image Transport System Data Format (FITS) Library DISABLED")
ENDIF ()

### LIBCERF (optional) #############################
IF (ENABLE_LIBCERF)
FIND_PACKAGE (LIBCERF)
IF (LIBCERF_FOUND)
	add_definitions (-DHAVE_LIBCERF)
ELSE ()
	MESSAGE (STATUS "libcerf library NOT FOUND")
ENDIF ()
ELSE ()
	MESSAGE (STATUS "libcerf library DISABLED")
ENDIF ()

IF (ENABLE_ROOT)
FIND_PACKAGE(ZLIB)
SET_PACKAGE_PROPERTIES (ZLIB PROPERTIES
	DESCRIPTION "General purpose compression library"
	URL "https://www.zlib.net/"
)
FIND_PACKAGE(LZ4)
IF (ZLIB_FOUND AND LZ4_FOUND)
	MESSAGE (STATUS "Found ZIP libraries ZLIB and LZ4 (needed for ROOT importer)")
	add_definitions (-DHAVE_ZIP)
ELSE ()
	MESSAGE (STATUS "ZIP libraries ZLIB and LZ4 (needed for ROOT importer) NOT FOUND")
ENDIF ()
ELSE ()
	MESSAGE (STATUS "ROOT (CERN) importer DISABLED")
ENDIF ()

#################################################
include(CheckFunctionExists)

CHECK_FUNCTION_EXISTS(random HAVE_RANDOM_FUNCTION)
#################################################
FIND_PATH (XLOCALE_INCLUDE_DIR xlocale.h
	/usr/include
	/usr/local/include
)
IF (XLOCALE_INCLUDE_DIR)
	add_definitions (-DHAVE_XLOCALE)

=== icons/CMakeLists.txt ===
ecm_install_icons(
ICONS
128-apps-labplot2.png
16-apps-labplot2.png
22-apps-labplot2.png
256-apps-labplot2.png
32-apps-labplot2.png
48-apps-labplot2.png
512-apps-labplot2.png
64-apps-labplot2.png
sc-apps-labplot2.svgz
DESTINATION ${ICON_INSTALL_DIR}/)

=== src/CMakeLists.txt ===
find_package(SharedMimeInfo REQUIRED)
set(KDE_FRONTEND true)
set(KDEFRONTEND_DIR kdefrontend)
set(BACKEND_DIR backend)
set(COMMONFRONTEND_DIR commonfrontend)
set(CANTOR_DIR cantor)
set(TOOLS_DIR tools)
set(CMAKE_AUTOMOC ON)
set(SRC_BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR} PARENT_SCOPE)

# do not process this file
set_property(SOURCE gsl_parser.h PROPERTY SKIP_AUTOMOC ON)

set(GUI_SOURCES
	${KDEFRONTEND_DIR}/GuiObserver.cpp
	${KDEFRONTEND_DIR}/GuiTools.cpp
	${KDEFRONTEND_DIR}/HistoryDialog.cpp
	${KDEFRONTEND_DIR}/MainWin.cpp
	${KDEFRONTEND_DIR}/SettingsDialog.cpp
	${KDEFRONTEND_DIR}/SettingsGeneralPage.cpp
	${KDEFRONTEND_DIR}/SettingsWorksheetPage.cpp
	${KDEFRONTEND_DIR}/SettingsPage.h
	${KDEFRONTEND_DIR}/TemplateHandler.cpp
	${KDEFRONTEND_DIR}/ThemeHandler.cpp
	${KDEFRONTEND_DIR}/datasources/AsciiOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/BinaryOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/DatabaseManagerDialog.cpp
	${KDEFRONTEND_DIR}/datasources/DatabaseManagerWidget.cpp
	${KDEFRONTEND_DIR}/datasources/HDF5OptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/FileInfoDialog.cpp
	${KDEFRONTEND_DIR}/datasources/ImageOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/ImportDialog.cpp
	${KDEFRONTEND_DIR}/datasources/ImportFileWidget.cpp
	${KDEFRONTEND_DIR}/datasources/ImportFileDialog.cpp
	${KDEFRONTEND_DIR}/datasources/ImportProjectDialog.cpp
	${KDEFRONTEND_DIR}/datasources/ImportSQLDatabaseDialog.cpp
	${KDEFRONTEND_DIR}/datasources/ImportSQLDatabaseWidget.cpp
	${KDEFRONTEND_DIR}/datasources/NetCDFOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/ROOTOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/FITSOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/MQTTErrorWidget.cpp
	${KDEFRONTEND_DIR}/datasources/MQTTSubscriptionWidget.cpp
	${KDEFRONTEND_DIR}/datasources/JsonOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/MQTTConnectionManagerWidget.cpp
	${KDEFRONTEND_DIR}/datasources/MQTTConnectionManagerDialog.cpp
	${KDEFRONTEND_DIR}/dockwidgets/BaseDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/AxisDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/CursorDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/NoteDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/CartesianPlotDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/CartesianPlotLegendDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/HistogramDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/CustomPointDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/ColumnDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/LiveDataDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/MatrixDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/ProjectDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/SpreadsheetDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYEquationCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYDataReductionCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYDifferentiationCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYIntegrationCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYInterpolationCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYSmoothCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYFitCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYFourierFilterCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYFourierTransformCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYConvolutionCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYCorrelationCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/WorksheetDock.cpp
	${KDEFRONTEND_DIR}/matrix/MatrixFunctionDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/PlotDataDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/EquidistantValuesDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/ExportSpreadsheetDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/AddSubtractValueDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/DropValuesDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/FunctionValuesDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/RandomValuesDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/SortDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/StatisticsDialog.cpp
	${KDEFRONTEND_DIR}/worksheet/ExportWorksheetDialog.cpp
	${KDEFRONTEND_DIR}/worksheet/GridDialog.cpp
	${KDEFRONTEND_DIR}/worksheet/DynamicPresenterWidget.cpp
	${KDEFRONTEND_DIR}/worksheet/PresenterWidget.cpp
	${KDEFRONTEND_DIR}/worksheet/SlidingPanel.cpp
	${KDEFRONTEND_DIR}/widgets/ConstantsWidget.cpp
	${KDEFRONTEND_DIR}/widgets/ThemesComboBox.cpp
	${KDEFRONTEND_DIR}/widgets/ThemesWidget.cpp
	${KDEFRONTEND_DIR}/widgets/ExpressionTextEdit.cpp
	${KDEFRONTEND_DIR}/widgets/FitOptionsWidget.cpp
	${KDEFRONTEND_DIR}/widgets/FitParametersWidget.cpp
	${KDEFRONTEND_DIR}/widgets/FunctionsWidget.cpp
	${KDEFRONTEND_DIR}/widgets/LabelWidget.cpp
	${KDEFRONTEND_DIR}/widgets/DatapickerImageWidget.cpp
	${KDEFRONTEND_DIR}/widgets/DatapickerCurveWidget.cpp
	${KDEFRONTEND_DIR}/widgets/FITSHeaderEditWidget.cpp
	${KDEFRONTEND_DIR}/widgets/FITSHeaderEditNewKeywordDialog.cpp
	${KDEFRONTEND_DIR}/widgets/FITSHeaderEditAddUnitDialog.cpp
	${KDEFRONTEND_DIR}/widgets/FITSHeaderEditDialog.cpp
	${KDEFRONTEND_DIR}/widgets/ResizableTextEdit.cpp
	${KDEFRONTEND_DIR}/widgets/MQTTWillSettingsWidget.cpp
)

set(UI_SOURCES
	${KDEFRONTEND_DIR}/ui/constantswidget.ui
	${KDEFRONTEND_DIR}/ui/functionswidget.ui
	${KDEFRONTEND_DIR}/ui/fitoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/fitparameterswidget.ui
	${KDEFRONTEND_DIR}/ui/labelwidget.ui
	${KDEFRONTEND_DIR}/ui/settingsgeneralpage.ui
	${KDEFRONTEND_DIR}/ui/settingsworksheetpage.ui
	${KDEFRONTEND_DIR}/ui/settingsprintingpage.ui
	${KDEFRONTEND_DIR}/ui/mqttwillsettingswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/asciioptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/binaryoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/databasemanagerwidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/hdf5optionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/imageoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/importfilewidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/importprojectwidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/importsqldatabasewidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/netcdfoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/rootoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/fitsoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/mqtterrorwidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/mqttsubscriptionwidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/jsonoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/mqttconnectionmanagerwidget.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/axisdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/cursordock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/cartesianplotdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/cartesianplotlegenddock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/histogramdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/columndock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/custompointdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/livedatadock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/notedock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/matrixdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/projectdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/spreadsheetdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xycurvedock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xycurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xydatareductioncurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xydifferentiationcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyintegrationcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyinterpolationcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xysmoothcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyfitcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyfourierfiltercurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyfouriertransformcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyconvolutioncurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xycorrelationcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyequationcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/worksheetdock.ui
	${KDEFRONTEND_DIR}/ui/matrix/matrixfunctionwidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/plotdatawidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/equidistantvalueswidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/exportspreadsheetwidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/addsubtractvaluewidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/dropvalueswidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/functionvalueswidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/randomvalueswidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/sortdialogwidget.ui
	${KDEFRONTEND_DIR}/ui/worksheet/exportworksheetwidget.ui
	${KDEFRONTEND_DIR}/ui/datapickerimagewidget.ui
	${KDEFRONTEND_DIR}/ui/datapickercurvewidget.ui
	${KDEFRONTEND_DIR}/ui/fitsheadereditwidget.ui
	${KDEFRONTEND_DIR}/ui/fitsheadereditnewkeywordwidget.ui
	${KDEFRONTEND_DIR}/ui/fitsheadereditaddunitwidget.ui
)

set(BACKEND_SOURCES
	${BACKEND_DIR}/core/Folder.cpp
	${BACKEND_DIR}/core/AbstractAspect.cpp
	${BACKEND_DIR}/core/AbstractColumn.cpp
	${BACKEND_DIR}/core/AbstractColumnPrivate.cpp
	${BACKEND_DIR}/core/abstractcolumncommands.cpp
	${BACKEND_DIR}/core/AbstractFilter.cpp
	${BACKEND_DIR}/core/AbstractSimpleFilter.cpp
	${BACKEND_DIR}/core/column/Column.cpp
	${BACKEND_DIR}/core/column/ColumnPrivate.cpp
	${BACKEND_DIR}/core/column/ColumnStringIO.cpp
	${BACKEND_DIR}/core/column/columncommands.cpp
	${BACKEND_DIR}/core/Project.cpp
	${BACKEND_DIR}/core/AbstractPart.cpp
	${BACKEND_DIR}/core/Workbook.cpp
	${BACKEND_DIR}/core/AspectTreeModel.cpp
	${BACKEND_DIR}/core/datatypes/SimpleCopyThroughFilter.h
	${BACKEND_DIR}/core/datatypes/Double2DateTimeFilter.h
	${BACKEND_DIR}/core/datatypes/Double2DayOfWeekFilter.h
	${BACKEND_DIR}/core/datatypes/Double2IntegerFilter.h
	${BACKEND_DIR}/core/datatypes/Double2MonthFilter.h
	${BACKEND_DIR}/core/datatypes/Double2StringFilter.cpp
	${BACKEND_DIR}/core/datatypes/Integer2DateTimeFilter.h
	${BACKEND_DIR}/core/datatypes/Integer2DayOfWeekFilter.h
	${BACKEND_DIR}/core/datatypes/Integer2DoubleFilter.h
	${BACKEND_DIR}/core/datatypes/Integer2MonthFilter.h
	${BACKEND_DIR}/core/datatypes/Integer2StringFilter.h
	${BACKEND_DIR}/core/datatypes/String2DayOfWeekFilter.h
	${BACKEND_DIR}/core/datatypes/String2DoubleFilter.h
	${BACKEND_DIR}/core/datatypes/String2IntegerFilter.h
	${BACKEND_DIR}/core/datatypes/String2MonthFilter.h
	${BACKEND_DIR}/core/datatypes/String2DateTimeFilter.cpp
	${BACKEND_DIR}/core/datatypes/DateTime2DoubleFilter.h
	${BACKEND_DIR}/core/datatypes/DateTime2IntegerFilter.h
	${BACKEND_DIR}/core/datatypes/DateTime2StringFilter.cpp
	${BACKEND_DIR}/core/datatypes/Month2DoubleFilter.h
	${BACKEND_DIR}/core/datatypes/Month2IntegerFilter.h
	${BACKEND_DIR}/core/datatypes/DayOfWeek2DoubleFilter.h
	${BACKEND_DIR}/core/datatypes/DayOfWeek2IntegerFilter.h
	${BACKEND_DIR}/core/plugin/PluginLoader.cpp
	${BACKEND_DIR}/core/plugin/PluginManager.cpp
	${BACKEND_DIR}/datasources/AbstractDataSource.cpp
	${BACKEND_DIR}/datasources/LiveDataSource.cpp
	${BACKEND_DIR}/datasources/MQTTClient.cpp
	${BACKEND_DIR}/datasources/MQTTSubscription.cpp
	${BACKEND_DIR}/datasources/MQTTTopic.cpp
	${BACKEND_DIR}/datasources/filters/AbstractFileFilter.cpp
	${BACKEND_DIR}/datasources/filters/AsciiFilter.cpp
	${BACKEND_DIR}/datasources/filters/BinaryFilter.cpp
	${BACKEND_DIR}/datasources/filters/HDF5Filter.cpp
	${BACKEND_DIR}/datasources/filters/ImageFilter.cpp
	${BACKEND_DIR}/datasources/filters/JsonFilter.cpp
	${BACKEND_DIR}/datasources/filters/NetCDFFilter.cpp
	${BACKEND_DIR}/datasources/filters/NgspiceRawAsciiFilter.cpp
	${BACKEND_DIR}/datasources/filters/NgspiceRawBinaryFilter.cpp
	${BACKEND_DIR}/datasources/filters/FITSFilter.cpp
	${BACKEND_DIR}/datasources/filters/QJsonModel.cpp
	${BACKEND_DIR}/datasources/filters/ROOTFilter.cpp
	${BACKEND_DIR}/datasources/projects/ProjectParser.cpp
	${BACKEND_DIR}/datasources/projects/LabPlotProjectParser.cpp
	${BACKEND_DIR}/gsl/ExpressionParser.cpp
	${BACKEND_DIR}/matrix/Matrix.cpp
	${BACKEND_DIR}/matrix/matrixcommands.cpp
	${BACKEND_DIR}/matrix/MatrixModel.cpp
	${BACKEND_DIR}/spreadsheet/Spreadsheet.cpp
	${BACKEND_DIR}/spreadsheet/SpreadsheetModel.cpp
	${BACKEND_DIR}/lib/XmlStreamReader.cpp
	${BACKEND_DIR}/note/Note.cpp
	${BACKEND_DIR}/worksheet/WorksheetElement.cpp

=== tests/CMakeLists.txt ===
set(SRC_DIR ${labplot2_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(${SRC_DIR})

add_subdirectory(analysis)
add_subdirectory(import_export)
add_subdirectory(nsl)

=== data/pics/CMakeLists.txt ===
ecm_install_icons(
ICONS
sc-apps-labplot-1x-zoom.svg
sc-apps-labplot-2x-zoom.svg
sc-apps-labplot-3x-zoom.svg
sc-apps-labplot-4x-zoom.svg
sc-apps-labplot-5x-zoom.svg
sc-apps-labplot-auto-scale-all.svg
sc-apps-labplot-auto-scale-x.svg
sc-apps-labplot-auto-scale-y.svg
sc-apps-labplot-axis-horizontal.svg
sc-apps-labplot-axis-vertical.svg
sc-apps-labplot-cursor-arrow.svg
sc-apps-labplot-editbreaklayout.svg
sc-apps-labplot-editgrid.svg
sc-apps-labplot-edithlayout.svg
sc-apps-labplot-editvlayout.svg
sc-apps-labplot-format-text-symbol.svg
sc-apps-labplot-json-array.svg
sc-apps-labplot-json-object.svg
sc-apps-labplot-matrix-new.svg
sc-apps-labplot-matrix.svg
sc-apps-labplot-MQTT.svg
sc-apps-labplot-plot-axis-points.svg
sc-apps-labplot-shift-down-y.svg
sc-apps-labplot-shift-left-x.svg
sc-apps-labplot-shift-right-x.svg
sc-apps-labplot-shift-up-y.svg
sc-apps-labplot-spreadsheet-new.svg
sc-apps-labplot-spreadsheet.svg
sc-apps-labplot-TeX-logo.svg
sc-apps-labplot-transform-move.svg
sc-apps-labplot-workbook-new.svg
sc-apps-labplot-workbook.svg
sc-apps-labplot-worksheet-new.svg
sc-apps-labplot-worksheet.svg
sc-apps-labplot-xy-curve-points.svg
sc-apps-labplot-xy-curve-segments.svg
sc-apps-labplot-xy-curve.svg
sc-apps-labplot-xy-equation-curve.svg
sc-apps-labplot-xy-fit-curve.svg
sc-apps-labplot-xy-plot-four-axes.svg
sc-apps-labplot-xy-plot-two-axes-centered-origin.svg
sc-apps-labplot-xy-plot-two-axes-centered.svg
sc-apps-labplot-xy-plot-two-axes.svg
sc-apps-labplot-zoom-in-x.svg
sc-apps-labplot-zoom-in-y.svg
sc-apps-labplot-zoom-out-x.svg
sc-apps-labplot-zoom-out-y.svg
sc-apps-labplot-zoom-select.svg
sc-apps-labplot-zoom-select-x.svg
sc-apps-labplot-zoom-select-y.svg
sc-apps-labplot-zoom.svg
DESTINATION ${KDE_INSTALL_ICONDIR}/
THEME hicolor)

=== tests/analysis/CMakeLists.txt ===
add_subdirectory(differentiation)
add_subdirectory(integration)
add_subdirectory(fit)
add_subdirectory(convolution)
add_subdirectory(correlation)

=== tests/import_export/CMakeLists.txt ===
add_subdirectory(ASCII)
add_subdirectory(JSON)
add_subdirectory(project)
add_subdirectory(MQTT)

=== data/pics/fit_models/CMakeLists.txt ===
FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
install(FILES ${files} DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/pics/fit_models )

=== tests/analysis/convolution/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIR})
add_executable (convolutiontest ConvolutionTest.cpp ../AnalysisTest.cpp ../../CommonTest.cpp)

target_link_libraries(convolutiontest Qt5::Test)
target_link_libraries(convolutiontest KF5::Archive KF5::XmlGui ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES})

IF (FFTW3_FOUND)
	target_link_libraries(convolutiontest ${FFTW3_LIBRARIES})
ENDIF ()

target_link_libraries(convolutiontest labplot2lib)

add_test(NAME convolutiontest COMMAND convolutiontest)

=== tests/analysis/correlation/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIR})
add_executable (correlationtest CorrelationTest.cpp ../AnalysisTest.cpp ../../CommonTest.cpp)

target_link_libraries(correlationtest Qt5::Test)
target_link_libraries(correlationtest KF5::Archive KF5::XmlGui ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES})

IF (FFTW3_FOUND)
	target_link_libraries(correlationtest ${FFTW3_LIBRARIES})
ENDIF ()

target_link_libraries(correlationtest labplot2lib)

add_test(NAME correlationtest COMMAND correlationtest)

=== tests/analysis/differentiation/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIR})
add_executable (differentiationtest DifferentiationTest.cpp ../AnalysisTest.cpp ../../CommonTest.cpp)

target_link_libraries(differentiationtest Qt5::Test)
target_link_libraries(differentiationtest KF5::Archive KF5::XmlGui ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES})

target_link_libraries(differentiationtest labplot2lib)

add_test(NAME differentiationtest COMMAND differentiationtest)

=== tests/analysis/fit/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIR})
add_executable (fittest FitTest.cpp ../AnalysisTest.cpp ../../CommonTest.cpp)

target_link_libraries(fittest Qt5::Test)
target_link_libraries(fittest KF5::Archive KF5::XmlGui ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES})

target_link_libraries(fittest labplot2lib)

add_test(NAME fittest COMMAND fittest)

=== debian/changelog ===
labplot (2.7.0-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:42 +0100

labplot (2.7.0-1build1) focal; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 18:01:31 +0100

labplot (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Add the libkf5kio-dev build dependency for the new upstream version.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat

 -- Pino Toscano <pino@debian.org>  Mon, 28 Oct 2019 07:54:36 +0100

=== debian/control ===
Source: labplot
Section: math
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 12),
 cmake (>= 3.2.0),
 gettext,
 pkg-kde-tools (>= 0.15.16),
 pkg-config,
 qtbase5-dev (>= 5.6.0),
 libqt5svg5-dev,
 libqt5serialport5-dev,
 extra-cmake-modules (>= 1.3.0),
 libkf5archive-dev (>= 5.16.0),
 libkf5completion-dev (>= 5.16.0),
 libkf5config-dev (>= 5.16.0),
 libkf5configwidgets-dev (>= 5.16.0),
 libkf5coreaddons-dev (>= 5.16.0),
 libkf5crash-dev (>= 5.16.0),
 libkf5doctools-dev (>= 5.16.0),
 libkf5i18n-dev (>= 5.16.0),
 libkf5iconthemes-dev (>= 5.16.0),
 libkf5kio-dev (>= 5.16.0),
 libkf5newstuff-dev (>= 5.16.0),
 libkf5parts-dev (>= 5.16.0),
 libkf5service-dev (>= 5.16.0),
 libkf5syntaxhighlighting-dev (>= 5.16.0),
 libkf5textwidgets-dev (>= 5.16.0),
 libkf5widgetsaddons-dev (>= 5.16.0),
 libkf5xmlgui-dev (>= 5.16.0),
 bison,
 libcfitsio-dev,
 libgsl-dev,
 libnetcdf-dev,
 libfftw3-dev,
 libhdf5-dev,
 libcerf-dev,
 zlib1g-dev,
 liblz4-dev,
 xauth,
 xvfb,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/labplot
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/labplot.git
Homepage: https://edu.kde.org/applications/science/labplot/

Package: labplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 labplot-data (= ${source:Version}),
Description: interactive graphing and analysis of scientific data
 LabPlot provides an easy way to create, manage and edit plots.  It allows you
 to produce plots based on data from a spreadsheet or on data imported from
 external files.  Plots can be exported to several pixmap and vector graphic
 formats.
 .
 Features include:
  - project-based management of data
  - project explorer for management and organization of created objects in
    different folders and sub-folders
  - spreadsheet with basic functionality for manual data entry or for
    generation of uniform and non-uniform random numbers
  - import of external ASCII data into the project for further editing and
    visualization
  - export of spreadsheet to an ASCII file
  - worksheet as the main parent object for plots, labels, etc; supports
    different layouts and zooming functions
  - export of worksheet to different formats (PDF, EPS, PNG, and SVG)
  - great variety of editing capabilities for properties of worksheet and its
    objects
  - cartesian plots, created either from imported or manually created data
    sets or via mathematical equation
  - definition of mathematical formulas is supported by syntax highlighting
    and completion and by the list of thematically grouped mathematical and
    physical constants and functions
  - analysis of plotted data is supported by many zooming and navigation
    features
  - linear and non-linear fits to data, several fit-models are predefined and
    custom models with arbitrary number of parameters can be provided

Package: labplot-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for labplot
 LabPlot provides an easy way to create, manage and edit plots.  It allows you
 to produce plots based on data from a spreadsheet or on data imported from
 external files.  Plots can be exported to several pixmap and vector graphic
 formats.
 .
 This contains the data files for labplot.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_test:
	# non-fatal, as tests fail on almost non-amd64 archs
	-xvfb-run dh_auto_test

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://download.kde.org/stable/labplot/([\d.]+)/labplot-([\d.]+)\.tar\.xz

## labplot 2.8.0

=== debian/changelog ===
labplot (2.8.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Pino Toscano ]
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Add Rules-Requires-Root: no.
  * Switch Repository to invent.kde.org.
  * Update lintian overrides.
  * Switch Homepage to https://labplot.kde.org/.
  * Update install files.
  * Unregister labplot2_themes.knsrc as conffile, as it is no more in /etc.
  * Upstream now installs the examples, so:
    - stop installing them manually
    - symlink /usr/share/labplot2/example_projects to
      /usr/share/doc/labplot/examples for compatibility

 -- Pino Toscano <pino@debian.org>  Thu, 17 Sep 2020 08:09:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.2.0),
  gettext,
  pkg-kde-tools (>= 0.15.16),
@@ -40,10 +40,11 @@
  liblz4-dev,
  xauth,
  xvfb,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/labplot
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/labplot.git
-Homepage: https://edu.kde.org/applications/science/labplot/
+Homepage: https://labplot.kde.org/
 
 Package: labplot
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,3 @@
 override_dh_auto_test:
 	# non-fatal, as tests fail on almost non-amd64 archs
 	-xvfb-run dh_auto_test
-
-override_dh_missing:
-	dh_missing --fail-missing
